Bug 31488 - Rephrase "You have checked out too many items" to be friendlier
Summary: Rephrase "You have checked out too many items" to be friendlier
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Isobel Graham
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2022-08-30 11:29 UTC by Magnus Enger
Modified: 2022-11-18 01:21 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 31488: Update Max checkout text (1.56 KB, patch)
2022-09-01 09:49 UTC, Isobel Graham
Details | Diff | Splinter Review
Bug 31488: Update Max checkout text (1.61 KB, patch)
2022-09-02 14:09 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 31488: Update Max checkout text (1.67 KB, patch)
2022-09-03 09:43 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2022-08-30 11:29:04 UTC
This is a tiny, tiny thing, but still...

koha-tmpl/opac-tmpl/bootstrap/en/modules/sco/sco-main.tt line 64 says: 

<span id="ce_max_loans_allowed">You have checked out too many items and can't check out any more.</span>

This makes it sound like the patron has done something wrong, and checked out *too many* items. But they probably just have the maximum number of items/loans, right? So we should not be accusing people of doing something wrong, when they are just being very active patrons. :-)
Comment 1 Isobel Graham 2022-09-01 09:49:17 UTC
Created attachment 140033 [details] [review]
Bug 31488: Update Max checkout text

This changes text from "you have checked out too many items" to
"You have reached the maximum limit of items checked out".
Comment 2 Lucas Gass 2022-09-02 14:09:49 UTC
Created attachment 140149 [details] [review]
Bug 31488: Update Max checkout text

This changes text from "you have checked out too many items" to
"You have reached the maximum limit of items checked out".

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Nick Clemens 2022-09-03 09:43:18 UTC
Created attachment 140195 [details] [review]
Bug 31488: Update Max checkout text

This changes text from "you have checked out too many items" to
"You have reached the maximum limit of items checked out".

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2022-09-07 20:21:51 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-10-31 19:23:36 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 6 Arthur Suzuki 2022-11-14 13:26:29 UTC
applied to 21.11.x for 21.11.14
Comment 7 Victor Grousset/tuxayo 2022-11-18 01:21:46 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Maybe the message is somewhere in the documentation or a screenshot?